Extending Qt Creator Manual | VcsBaseOptionsPage

Extending Qt Creator Manual 4.5.2

# VcsBaseOptionsPage Class

(VcsBase::VcsBaseOptionsPage)

The VcsBaseOptionsPage class is the base class for VCS options pages providing a common category and icon. More...

Header: | #include <VcsBaseOptionsPage>
Inherits: | Core::IOptionsPage

- List of all members, including inherited members

## Public Functions

| VcsBaseOptionsPage(QObject *parent = 0)
| ~VcsBaseOptionsPage() override

- 9 public functions inherited from Core::IOptionsPage

### Additional Inherited Members

- 5 protected functions inherited from Core::IOptionsPage

## Detailed Description

The VcsBaseOptionsPage class is the base class for VCS options pages providing a common category and icon.

## Member Function Documentation

### VcsBaseOptionsPage::VcsBaseOptionsPage(QObject *parent = 0)

Default constructs an instance of VcsBaseOptionsPage.

### VcsBaseOptionsPage::~VcsBaseOptionsPage()

Destroys the instance of VcsBaseOptionsPage.